package com.l2jserver.mmocore.network;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;
import java.util.logging.Logger;
import javolution.text.TypeFormat;
/**
 * 
 * @author Zero Cool
 *
 */

public final class Config
{
    protected static final Logger _log = Logger.getLogger(Config.class.getName());
    /** Configuration files */
    public static final String PROTECT_MMOCORE_FILE = "./config/mmocore.properties";
  //============================================================
    public static final String  MMO_CONFIG = PROTECT_MMOCORE_FILE;
    //============================================================
    public static short    MMOCORE_IP_TOS;
    public static boolean  MMOCORE_TCP_NO_DELAY;
    public static boolean  MMOCORE_KEEP_ALIVE;
    public static int      MMOCORE_BACKLOG;
    public static int      MMOCORE_SO_TIMEOUT;
    public static boolean  MMOCORE_SO_REUSEADDR;
    public static int      READ_BUFFER_SIZE;
    public static int      WRITE_BUFFER_SIZE;
    public static int      HELPER_BUFFER_SIZE;
    public static int      HELPER_BUFFER_COUNT;
    public static int      MAX_SEND_PER_PASS;
    public static int      MAX_READ_PER_PASS;
    public static int      SLEEP_TIME;
    //============================================================
    public static void loadMMOOptions()
    {
        System.out.println("Loading: " + MMO_CONFIG + ".");

        try
        {
            Properties mmoSetting = new Properties();
            InputStream is = new FileInputStream(new File(MMO_CONFIG));
            mmoSetting.load(is);
            is.close();

            MMOCORE_BACKLOG                  = TypeFormat.parseInt(mmoSetting.getProperty("NetworkBackLog", "50"));
            MMOCORE_IP_TOS                   = TypeFormat.parseShort(mmoSetting.getProperty("NetworkIpTOS", "0"));
            MMOCORE_TCP_NO_DELAY             = TypeFormat.parseBoolean(mmoSetting.getProperty("NetworkTcpNoDelay", "false"));
            MMOCORE_KEEP_ALIVE               = TypeFormat.parseBoolean(mmoSetting.getProperty("NetworkKeepAlive", "false"));
            MMOCORE_SO_TIMEOUT               = TypeFormat.parseInt(mmoSetting.getProperty("NetworkSoTimeOut", "0"));
            MMOCORE_SO_REUSEADDR             = TypeFormat.parseBoolean(mmoSetting.getProperty("NetworkSoReuseAddr", "true"));

            // buffer options
            READ_BUFFER_SIZE = TypeFormat.parseInt(mmoSetting.getProperty("NetworkReadBufferSize", "64"));
            WRITE_BUFFER_SIZE = TypeFormat.parseInt(mmoSetting.getProperty("NetworkWriteBufferSize", "64"));
            HELPER_BUFFER_SIZE = TypeFormat.parseInt(mmoSetting.getProperty("NetworkHelperBufferSize", "64"));
            HELPER_BUFFER_COUNT = TypeFormat.parseInt(mmoSetting.getProperty("NetworkHelperBufferCount", "20"));
            MAX_SEND_PER_PASS = TypeFormat.parseInt(mmoSetting.getProperty("MaxSendPerPassword", "10"));
            MAX_READ_PER_PASS = TypeFormat.parseInt(mmoSetting.getProperty("MaxReadPerPassword", "10"));
            SLEEP_TIME = TypeFormat.parseInt(mmoSetting.getProperty("SleepTime", "10"));
        }
        catch (Exception e)
        {
            e.printStackTrace();
            throw new Error("Failed to Load " + MMO_CONFIG + " File.");
        }
    }
}
